Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Smrithi
New Contributor I
114 Views

error while installing eis version 2.3.3

Hi 

I am getting the following jsonschema error as shown in the SS attached while installing eis version 2.3.3 in server machine. Any insights on how to solve this issue is appreciated.

0 Kudos
3 Replies
WengWai_C_Intel
Moderator
99 Views

Hi @Smrithi ,

From the screenshot, it is showing when building the container and it failed when trying to download external components from internet. This can be caused by couple of reasons.

If your system network is running behind proxy, please make sure proxy has been configured to the docker service follow the user guide. Besides, for the Edge Insights package downloaded from ESH, please also check the directories are below to system's user ownership, instead of root. You can check this by using command 'ls -l' in the directory. And finally, make sure you run the installation without using the root user.

Please check and let us know if issue persist. Thanks!

Snehal_Yesugade
Beginner
91 Views

Hello,

The issue still persists.

We are upgrading to EIS 2.3.3 without root user.

Also, we have set proxies for system and docker as per suggestion in documentation.

Attached are the logs

 

WengWai_C_Intel
Moderator
75 Views

Hi @Snehal_Yesugade ,

Thanks for the info. In this case, you should see the install.log file also generated in  /var/log/esb-cli/Edge_Insights_for_Industrial_2.3.3/eis_installer directory. Can you provide this log file as well?

Additionally, please also provide the 2 files below for verification.

1) Dockerfile.eisbase file in edge_insights_industrial/Edge_Insights_for_Industrial_2.3.3/IEdgeInsights/common/dockerfiles/

2) requirement.txt file in edge_insights_industrial/Edge_Insights_for_Industrial_2.3.3/IEdgeInsights/VideoIngestion

Reply